Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class SortPropertyKey

    java.lang.Object
      com.compoze.exchange.PropertyKey
          com.compoze.exchange.SortPropertyKey

All Implemented Interfaces:
  java.io.Serializable

public class SortPropertyKey
extends PropertyKey
implements java.io.Serializable

This class is a specific property key that can be used for sorting.

See Also:
  Serialized Form

Field Summary
`static SortPropertyKey` | `MESSAGE_SORT_DISPLAY_TO` Key that represents the Compoze sort property to sort by display 'To' address.
`static SortPropertyKey` | `MESSAGE_SORT_IMPORTANCE` Key that represents the Compoze sort property to sort by message importance.
`static SortPropertyKey` | `MESSAGE_SORT_READ_RECEIPT` Key that represents the Compoze sort property to sort by message read receipt.
`static SortPropertyKey` | `MESSAGE_SORT_SENDER_NAME` Key that represents the Compoze sort property to sort by message sender.
`static SortPropertyKey` | `MESSAGE_SORT_SENSITIVITY` Key that represents the Compoze sort property to sort by message sensitivity.
`static SortPropertyKey` | `MESSAGE_SORT_SIZE` Key that represents the Compoze sort property to sort by message size.
`static SortPropertyKey` | `MESSAGE_SORT_SUBJECT` Key that represents the Compoze sort property to sort by message subject.
`static SortPropertyKey` | `MESSAGE_SORT_TIME_CREATED` Key that represents the Compoze sort property to sort by message time created.
`static SortPropertyKey` | `MESSAGE_SORT_TIME_EXPIRED` Key that represents the Compoze sort property to sort by message time expired.
`static SortPropertyKey` | `MESSAGE_SORT_TIME_LAST_MODIFIED` Key that represents the Compoze sort property to sort by message time last modified.
`static SortPropertyKey` | `MESSAGE_SORT_TIME_RECEIVED` Key that represents the Compoze sort property to sort by message time received.
`static SortPropertyKey` | `MESSAGE_SORT_TIME_SENT` Key that represents the Compoze sort property to sort by message time sent.
`static SortPropertyKey` | `MESSAGE_SORT_TYPE` Key that represents the Compoze sort property to sort by message type.

Fields inherited from class com.compoze.exchange.PropertyKey
`ACCOUNT, ADDRESS_ENTRY_ADDRESS, ADDRESS_ENTRY_DISPLAY_NAME, ADDRESS_ENTRY_DISPLAY_TYPE, ADDRESS_ENTRY_FILTER_ADDRESS, ADDRESS_ENTRY_FILTER_DISPLAY_NAME, ADDRESS_ENTRY_FILTER_PRIMARY_ACCOUNT, ADDRESS_ENTRY_FILTER_SMTP_EMAIL_ADDRESS, ADDRESS_ENTRY_FREE_BUSY, ADDRESS_ENTRY_ID, ADDRESS_ENTRY_MANAGER, ADDRESS_ENTRY_MANAGER_NAME, ADDRESS_ENTRY_MEMBERS, ADDRESS_ENTRY_PRIMARY_ACCOUNT, ADDRESS_ENTRY_PRIMARY_ACCOUNT_SID, ADDRESS_ENTRY_SMTP_EMAIL_ADDRESS, ADDRESS_ENTRY_TYPE, ADDRTYPE, APPOINTMENT_ALL_DAY_EVENT, APPOINTMENT_BUSY_STATUS, APPOINTMENT_DURATION, APPOINTMENT_END_TIME, APPOINTMENT_IS_ORGANIZER, APPOINTMENT_IS_RECURRING, APPOINTMENT_IS_SPANNING, APPOINTMENT_LOCATION, APPOINTMENT_MEETING_RESPONSE_STATUS, APPOINTMENT_MEETING_STATUS, APPOINTMENT_ORGANIZER, APPOINTMENT_RECURRENCE_PATTERN, APPOINTMENT_REMINDER_MINUTES_BEFORE_START, APPOINTMENT_REMINDER_SET, APPOINTMENT_REPLY_TIME, APPOINTMENT_RESPONSE_REQUESTED, APPOINTMENT_SERIES_ID, APPOINTMENT_START_TIME, ASSISTANT, ASSISTANT_TELEPHONE_NUMBER, ATTACHMENT_CONTENT_ID, ATTACHMENT_CREATION_TIME, ATTACHMENT_DISPLAY_NAME, ATTACHMENT_EXTENSION, ATTACHMENT_INDEX, ATTACHMENT_LONG_FILENAME, ATTACHMENT_MIME_TAG, ATTACHMENT_NAME, ATTACHMENT_POSITION, ATTACHMENT_RENDERING_POSITION, ATTACHMENT_SIZE, ATTACHMENT_TYPE, BILLING_INFO, BIRTHDAY, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POST_OFFICE_BOX, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE_OR_PROVINCE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX_NUMBER, BUSINESS_HOME_PAGE, BUSINESS_TELEPHONE_NUMBER, BUSINESS2_TELEPHONE_NUMBER, CALLBACK_TELEPHONE_NUMBER, CAR_TELEPHONE_NUMBER, CHILDREN_NAMES, COMMENT, COMPANIES, COMPANY_MAIN_PHONE_NUMBER, COMPANY_NAME, COMPUTER_NETWORK_NAME, CONTACT_DISTRIBUTION_LIST, CONTACT_IS_DISTRIBUTION_LIST, CONTACT_NAMES, CONTAINER_CLASS, COUNTRY, DEPARTMENT_NAME, DISPLAY_NAME, DISPLAY_NAME_PREFIX, EMAIL_ADDRESS, EMAIL1_ADDRESS, EMAIL1_ADDRESS_TYPE, EMAIL1_DISPLAY_NAME, EMAIL2_ADDRESS, EMAIL2_ADDRESS_TYPE, EMAIL2_DISPLAY_NAME, EMAIL3_ADDRESS, EMAIL3_ADDRESS_TYPE, EMAIL3_DISPLAY_NAME, EMS_AB_ASSOC_NT_ACCOUNT, EMS_AB_HOME_MTA, FILE_AS, FLAG_STATUS, FLAG_TEXT, FOLDER_ABSOLUTE_NAME, FOLDER_FOLDERID, FOLDER_ID, FOLDER_MESSAGE_COUNT, FOLDER_MESSAGE_UNREAD_COUNT, FOLDER_NAME, FOLDER_RELATIVE_DEPTH, FOLDER_SUBFOLDER_COUNT, FTP_SITE, GENDER, GENERATION, GIVEN_NAME, HOBBIES, HOME_ADDRESS, HOME_ADDRESS_CITY, HOME_ADDRESS_COUNTRY, HOME_ADDRESS_POST_OFFICE_BOX, HOME_ADDRESS_POSTAL_CODE, HOME_ADDRESS_STATE_OR_PROVINCE, HOME_ADDRESS_STREET, HOME_FAX_NUMBER, HOME_TELEPHONE_NUMBER, HOME2_TELEPHONE_NUMBER, IM_ADDRESS, INITIALS, INTERNET_FREE_BUSY_ADDRESS, ISDN_NUMBER, JOURNAL_DURATION, JOURNAL_END_DATE, JOURNAL_ENTRY, JOURNAL_ENTRY_TYPE, JOURNAL_START_DATE, KEY_ADDRESS_ENTRY, KEY_ADDRESS_ENTRY_FILTER, KEY_ATTACHMENT, KEY_FOLDER, KEY_MESSAGE, KEY_SERVICE, KEY_SESSION_OPTION, LANGUAGE, LOCALITY, LOCATION, MANAGER_NAME, MESSAGE_ACTION_CODE, MESSAGE_ACTION_DATE, MESSAGE_ACTION_FLAG, MESSAGE_ATTACHMENT_COUNT, MESSAGE_ATTACHMENT_INFO, MESSAGE_CATEGORIES, MESSAGE_CONVERSATION_INDEX, MESSAGE_CONVERSATION_TOPIC, MESSAGE_DELIVERY_RECEIPT, MESSAGE_DISPLAY_BCC, MESSAGE_DISPLAY_CC, MESSAGE_DISPLAY_TO, MESSAGE_ENCRYPTED, MESSAGE_FOLDER_NAME, MESSAGE_FOLDERID, MESSAGE_HTML, MESSAGE_ID, MESSAGE_IMPORTANCE, MESSAGE_IS_RECIPIENT, MESSAGE_NORMALIZED_SUBJECT, MESSAGE_READ_RECEIPT, MESSAGE_RECIPIENT_INFO, MESSAGE_RECIPIENT_INFO_OVERVIEW, MESSAGE_RTF, MESSAGE_SENDER, MESSAGE_SENDER_ID, MESSAGE_SENSITIVITY, MESSAGE_SENT, MESSAGE_SIGNED, MESSAGE_SIZE, MESSAGE_STOREID, MESSAGE_SUBJECT, MESSAGE_SUBMITTED, MESSAGE_TEXT, MESSAGE_TIME_CREATED, MESSAGE_TIME_EXPIRED, MESSAGE_TIME_LAST_MODIFIED, MESSAGE_TIME_RECEIVED, MESSAGE_TIME_SENT, MESSAGE_TYPE, MESSAGE_UNREAD, MHS_COMMON_NAME, MIDDLE_NAME, MILEAGE, MOBILE_TELEPHONE_NUMBER, NICKNAME, OFFICE_LOCATION, ORIGINAL_SUBJECT, OTHER_ADDRESS_CITY, OTHER_ADDRESS_COUNTRY, OTHER_ADDRESS_POST_OFFICE_BOX, OTHER_ADDRESS_POSTAL_CODE, OTHER_ADDRESS_STATE_OR_PROVINCE, OTHER_ADDRESS_STREET, OTHER_TELEPHONE_NUMBER, PAGER_TELEPHONE_NUMBER, PERSONAL_HOME_PAGE, POSTAL_CODE, PRIMARY_FAX_NUMBER, PRIMARY_TELEPHONE_NUMBER, PROFESSION, RADIO_TELEPHONE_NUMBER, REFERRED_BY_NAME, SELECTED_MAILING_ADDRESS, SENT_REPRESENTING_NAME, SERVICE_ATTACHMENT_DIRECTORY, SERVICE_CLIENT_VERSION_CHECK, SERVICE_DEFAULT_FOLDER_MASK, SERVICE_GAL_DOMAIN, SERVICE_GAL_MAILBOX, SERVICE_GAL_PASSWORD, SERVICE_GAL_SERVER, SERVICE_GAL_USERNAME, SERVICE_LICENSEE, SERVICE_LOG_COM_ERRORS, SERVICE_LOG_LEVEL, SERVICE_LOGON_TYPE, SERVICE_PRODUCTION_KEY, SERVICE_PROFILING_ENABLED, SERVICE_SESSION_TIMEOUT_SECS, SERVICE_SOAP_MAX_POST_SIZE, SERVICE_SOAP_NO_NAGLING, SERVICE_SOAP_NUM_THREADS, SERVICE_SOAP_OBJ_CACHED_PER_THREAD, SERVICE_TERMINATE_HOURS, SERVICE_TERMINATE_MAX_SESSIONS, SESSION_OPTION_BUSINESS_DAY_END_TIME, SESSION_OPTION_BUSINESS_DAY_START_TIME, SESSION_OPTION_CALENDAR_STORE, SESSION_OPTION_EXCHANGE55, SESSION_OPTION_FIRST_DAY_OF_WEEK, SESSION_OPTION_IS_24_HOUR_CLOCK, SESSION_OPTION_TIME_ZONE, SESSION_OPTION_WORKING_DAYS, SPOUSE_NAME, STATE_OR_PROVINCE, STREET_ADDRESS, SURNAME, TASK_ACTUAL_WORK, TASK_COMPLETE, TASK_DATE_COMPLETED, TASK_DUE_DATE, TASK_DURATION, TASK_FLAG_DUE_BY, TASK_IS_RECURRING, TASK_IS_TEAM_TASK, TASK_PERCENT_COMPLETE, TASK_RECURRENCE_PATTERN, TASK_REMINDER_DATE, TASK_REMINDER_SET, TASK_START_DATE, TASK_STATUS, TASK_TOTAL_WORK, TELEX_NUMBER, TITLE, TTYTDD_PHONE_NUMBER, USER_FIELD_1, USER_FIELD_2, USER_FIELD_3, USER_FIELD_4, VALUE_ARRAY, VALUE_BLOB, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_EMPTY, VALUE_INTEGER, VALUE_LONG, VALUE_STRING, VALUE_UNKNOWN, WEDDING_ANNIVERSARY`

Constructor Summary
`` | `SortPropertyKey(PropertyKey key)` Constructor.
`protected` | `SortPropertyKey(java.lang.String sPropertyName, int iKeyType)` Constructor.
`protected` | `SortPropertyKey(java.lang.String sPropertyName, int iValueType, int iKeyType)` Constructor.

Method Summary
`static java.util.List` | `getList()` Gets the list of sort property keys

Methods inherited from class com.compoze.exchange.PropertyKey
`equals, getKey, getKeyType, getValueClass, getValueType, hashCode, isArray, setKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_SORT_TYPE

    public static final SortPropertyKey MESSAGE_SORT_TYPE

  Key that represents the Compoze sort property to sort by message type.

### MESSAGE_SORT_READ_RECEIPT

    public static final SortPropertyKey MESSAGE_SORT_READ_RECEIPT

  Key that represents the Compoze sort property to sort by message read receipt.

### MESSAGE_SORT_IMPORTANCE

    public static final SortPropertyKey MESSAGE_SORT_IMPORTANCE

  Key that represents the Compoze sort property to sort by message importance.

### MESSAGE_SORT_SENSITIVITY

    public static final SortPropertyKey MESSAGE_SORT_SENSITIVITY

  Key that represents the Compoze sort property to sort by message sensitivity.

### MESSAGE_SORT_SUBJECT

    public static final SortPropertyKey MESSAGE_SORT_SUBJECT

  Key that represents the Compoze sort property to sort by message subject.

### MESSAGE_SORT_SIZE

    public static final SortPropertyKey MESSAGE_SORT_SIZE

  Key that represents the Compoze sort property to sort by message size.

### MESSAGE_SORT_TIME_RECEIVED

    public static final SortPropertyKey MESSAGE_SORT_TIME_RECEIVED

  Key that represents the Compoze sort property to sort by message time received.

### MESSAGE_SORT_TIME_CREATED

    public static final SortPropertyKey MESSAGE_SORT_TIME_CREATED

  Key that represents the Compoze sort property to sort by message time created.

### MESSAGE_SORT_TIME_EXPIRED

    public static final SortPropertyKey MESSAGE_SORT_TIME_EXPIRED

  Key that represents the Compoze sort property to sort by message time expired.

### MESSAGE_SORT_TIME_LAST_MODIFIED

    public static final SortPropertyKey MESSAGE_SORT_TIME_LAST_MODIFIED

  Key that represents the Compoze sort property to sort by message time last modified.

### MESSAGE_SORT_TIME_SENT

    public static final SortPropertyKey MESSAGE_SORT_TIME_SENT

  Key that represents the Compoze sort property to sort by message time sent.

### MESSAGE_SORT_SENDER_NAME

    public static final SortPropertyKey MESSAGE_SORT_SENDER_NAME

  Key that represents the Compoze sort property to sort by message sender.

### MESSAGE_SORT_DISPLAY_TO

    public static final SortPropertyKey MESSAGE_SORT_DISPLAY_TO

  Key that represents the Compoze sort property to sort by display 'To' address.

Constructor Detail

### SortPropertyKey

    public SortPropertyKey(PropertyKey key)

  Constructor.

Parameters:
  `key` - the property key to sort by (warning: Exchange may not respect all keys for sorting depending on what version you are using and which messages and properties you are trying to sort, so if you use this constructor you are on your own)

### SortPropertyKey

    protected SortPropertyKey(java.lang.String sPropertyName,
                              int iKeyType)

  Constructor.

Parameters:
  `sPropertyName` - the property name
  `iKeyType` - the key type (one of the `KEY_` constants)

### SortPropertyKey

    protected SortPropertyKey(java.lang.String sPropertyName,
                              int iValueType,
                              int iKeyType)

  Constructor.

Parameters:
  `sPropertyName` - the property name
  `iValueType` - the value type (one of the `VALUE_` constants)
  `iKeyType` - the key type (one of the `KEY_` constants)

Method Detail

### getList

    public static java.util.List getList()

  Gets the list of sort property keys

  Returns:
    the list of keys

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.